``` ini

BenchmarkDotNet=v0.13.1, OS=Windows 10.0.19045
Intel Core i7-8550U CPU 1.80GHz (Kaby Lake R), 1 CPU, 8 logical and 4 physical cores
.NET SDK=7.0.202
  [Host]     : .NET 7.0.4 (7.0.423.11508), X64 RyuJIT
  DefaultJob : .NET 7.0.4 (7.0.423.11508), X64 RyuJIT


```
|                          Method |     Mean |    Error |   StdDev |   Median | Ratio | RatioSD |
|-------------------------------- |---------:|---------:|---------:|---------:|------:|--------:|
|        AwaitSeqDummyMonitorFake | 47.21 ms | 1.236 ms | 3.586 ms | 46.82 ms |  1.00 |    0.00 |
|       AwaitSeqSemaphoreSlimFake | 46.66 ms | 1.249 ms | 3.624 ms | 46.44 ms |  0.99 |    0.11 |
|        ParallelAwaitWhenAllFake | 19.00 ms | 0.471 ms | 1.328 ms | 18.95 ms |  0.41 |    0.04 |
|        AwaitSeqDummyMonitorReal | 46.93 ms | 1.321 ms | 3.811 ms | 46.15 ms |  1.00 |    0.11 |
|       AwaitSeqSemaphoreSlimReal | 46.35 ms | 1.164 ms | 3.358 ms | 45.91 ms |  0.99 |    0.11 |
|        ParallelAwaitWhenAllReal | 18.50 ms | 0.542 ms | 1.556 ms | 18.07 ms |  0.39 |    0.04 |
| ParallelAwaitWhenAllJsonSeqReal | 18.93 ms | 0.466 ms | 1.346 ms | 18.76 ms |  0.40 |    0.04 |
